安装用友U8时IE web control.msi总是装不上各种英文报错?

原创用友财务软件  2017-05-11 21:45:42  阅读 1442 次 评论 0 条
摘要:

安装用友U8erp系统时IE web control.msi总是装不上各种英文报错?有很多错误,大致如下:错误提示一:在win10系统上安装用友U8+V12.1,IIS组件都安装好了,全勾上了,但安装的时候还是提示:microsoft internet exporer webcontrols requires iis version 5 or later,启用了兼容模式安装IEwebcontrol.msi也安装不上?错误情况二:在win7系统上安装用友U8+v11.1版本时IE web cont

安装用友U8erp系统时IE web control.msi总是装不上各种英文报错?有很多错误,大致如下:

错误提示一:在win10系统上安装用友U8+V12.1,IIS组件都安装好了,全勾上了,但安装的时候还是提示:microsoft internet exporer webcontrols requires iis version 5 or later,启用了兼容模式安装IEwebcontrol.msi也安装不上?

安装用友U8时IE web control.msi总是装不上各种英文报错? 用友知识堂 第1张图片

安装用友U8时IE web control.msi总是装不上各种英文报错? 用友知识堂 第2张图片

错误情况二:在win7系统上安装用友U8+v11.1版本时IE web control.msi装不上,提示如下:

安装用友U8时IE web control.msi总是装不上各种英文报错? 用友知识堂 第3张图片

错误情况三:我的是windows 8x64系统,Internet information services所有的子项我都安装了,安装U8 V12.0还是提示“microsoft internet explorer webcontrols requires iis version 5 or later”,反复试了好多次都无法安装。不知道是不是WIN8就是不能安装U8。

其他情况:安装用友U8的ie web control 组件时,提示:microsoft internet Explorer webcontrols requires IIS Version 5 or later,但是IIS我已经装了6.0版本的。

经过用友小辣妹远程了多个客户的电脑,分析了诸多的原因:不管是win7,win8,win8.1还是win10系统,安装用友U8erp系统时,如果IE web control.msi安装不上,一般这种情况是因为IIS没有安装完全产生的。

解决办法:

1、第一步,请先判断你的IIS是不是安装完整了,怎么判断?在控制面板里的打开和关闭windows功能里查看,Internet information services下面的所有项是不是都是打的小勾,如下图所示:

安装用友U8时IE web control.msi总是装不上各种英文报错? 用友知识堂 第4张图片

安装用友U8时IE web control.msi总是装不上各种英文报错? 用友知识堂 第5张图片

如果说你不会安装IIS,请参考https://www.ufidawhy.com/网站提供的iis安装教程,具体请查阅:https://www.ufidawhy.com/jcufida/iis.html,在各版本操作系统安装用友软件教程中我们也有详细的讲解:

a、winXP系统安装用友软件步骤:https://www.ufidawhy.com/jcufida/986.html

b、win2003server系统安装用友软件步骤:https://www.ufidawhy.com/jcufida/987.html

c、win7系统安装用友软件步骤:https://www.ufidawhy.com/jcufida/988.html

d、win2008R2系统安装用友软件步骤:https://www.ufidawhy.com/jcufida/989.html

e、win8和win8.1系统安装用友软件步骤:https://www.ufidawhy.com/jcufida/990.html

f、win10系统安装用友软件步骤:https://www.ufidawhy.com/jcufida/991.html

g、苹果系统安装用友软件的步骤: https://www.ufidawhy.com/jcufida/1003.html 

只要照上面的办法安装好或者安装完整iis,IE web control.msi就可以成功安装上了。

2、第二种情况就是目前win10系统还不支持用友U8V12.1erp系统,有些电脑可以安装上,有些电脑安装不上(即使IIS安装完整了),这种情况下,请更换操作系统,或者在win10系统中安装虚拟机来解决,具体的虚拟机安装程序和安装好了U8基础环境的虚拟机下载地址如下:

a、虚拟机安装程序下载地址及虚拟机安装教程:https://www.ufidawhy.com/jcufida/982.html

b、安装好用友U8所有基础环境的虚拟机程序:https://www.ufidawhy.com/mfufida/983.html

c、再把用友U812.1的安装程序放到虚拟机里进行安装就好啦,具体安装教程请参考:https://www.ufidawhy.com/u8/928.html

3、小辣妹对于用友U8安装时IE web control.msi安装不上的一些个人看法,用友U8毕竟是一个集团企业使用的软件,一般也是服务器版操作系统,所以最好我们还是在服务器操作系统上安装,本身最高是支持windows server 2012的,对于win10系统估计用友U812.1发版上市的时候,win10系统还没出来吧,而且用友小辣妹也去找了一下有没有支持win10系统的IE web control.msi,后来发现是没有的,原因是:IE web control.msi是早期操作系统基于.net 1.1的时候一个组件,噢,挺费劲的,总之解决办法提供给大家了,如果你有新的解决方案,请联系用友小辣妹哦,右侧有我的微信二维码图片哈,扫一扫联系我。

本文地址:https://www.ufidawhy.com/jcufida/1395.html
版权声明:本文来源于网络,如有侵权请E-mail联系 ufidawhy 站长 ufidawhy@vip.qq.com!

发表评论 取消回复


表情

还没有留言,还不快点抢沙发?